Subject: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error: error invoking gcc driver

From: Andrea Corallo <[email-masked]>
Date: Thu, 15 Apr 2021 07:09:27 +0000

Pankaj Jangid <[email-masked]> writes:

> I am on macos and after launching Emacs, I get this libgccjit
> error. Is this something that I can ignore for now?
>
> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable showing Disable logging
> Warning (comp):
> /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz:
> Error: Internal native compiler error failed to compile Disable
> showing Disable logging

Hi Pankaj,

this look like an env misconfiguration that prevents libgccjit for
finding the driver.

Could you please report the full error in the
*Async-native-compile-log* buffer?

Also have already you tried invoking "emacs -Q"?

Thanks

  Andrea